Open SCAP Library: oval_record_field Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_record_field Struct Reference
OVAL » OVALDEF

## Public Member Functions
struct oval_record_field * | oval_record_field_new (oval_record_field_type_t)
struct oval_record_field * | oval_record_field_clone (struct oval_record_field *)
void | oval_record_field_free (struct oval_record_field *)
Setters
void | oval_record_field_set_name (struct oval_record_field *, char *)
void | oval_record_field_set_value (struct oval_record_field *, char *)
void | oval_record_field_set_datatype (struct oval_record_field *, oval_datatype_t)
void | oval_record_field_set_mask (struct oval_record_field *, int)
void | oval_record_field_set_operation (struct oval_record_field *, oval_operation_t)
void | oval_record_field_set_variable (struct oval_record_field *, struct oval_variable *)
void | oval_record_field_set_var_check (struct oval_record_field *, oval_check_t)
void | oval_record_field_set_ent_check (struct oval_record_field *, oval_check_t)
Getters
oval_record_field_type_t | oval_record_field_get_type (struct oval_record_field *)
char * | oval_record_field_get_name (struct oval_record_field *)
char * | oval_record_field_get_value (struct oval_record_field *)
oval_datatype_t | oval_record_field_get_datatype (struct oval_record_field *)
int | oval_record_field_get_mask (struct oval_record_field *)
oval_operation_t | oval_record_field_get_operation (struct oval_record_field *)
struct oval_variable * | oval_record_field_get_variable (struct oval_record_field *)
oval_check_t | oval_record_field_get_var_check (struct oval_record_field *)
oval_check_t | oval_record_field_get_ent_check (struct oval_record_field *)
Iterators
bool | oval_record_field_iterator_has_more (struct oval_record_field_iterator *)
struct oval_record_field * | oval_record_field_iterator_next (struct oval_record_field_iterator *)
void | oval_record_field_iterator_free (struct oval_record_field_iterator *)
Setters
void | oval_record_field_set_status (struct oval_record_field *, oval_syschar_status_t)
Getters
oval_syschar_status_t | oval_record_field_get_status (struct oval_record_field *)

## Data Fields
oval_record_field_type_t | record_field_type
char * | name
char * | value
oval_datatype_t | datatype
int | mask

The documentation for this struct was generated from the following files:

- oval_recordField.c
- oval_definitions.h
- oval_system_characteristics.h